petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingApply

Takes a list of integers in a local numbering and converts them to the global numbering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingApply(ISLocalToGlobalMapping mapping,PetscInt N,const PetscInt in[],PetscInt out[])

Not collective Many br

### Input Parameters

| mapping | - the local to global mapping context Many br
| N | - number of integers Many br
| in | - input indices in local numbering Many br

### Output Parameter

out -indices in global numbering Many br

### Notes

The in and out array parameters may be identical. Many br

Many br

### See Also

ISLocalToGlobalMappingApplyBlock(), ISLocalToGlobalMappingCreate(),ISLocalToGlobalMappingDestroy(),
ISLocalToGlobalMappingApplyIS(),AOCreateBasic(),AOApplicationToPetsc(), Many brAOPetscToApplication(), ISGlobalToLocalMappingApply() Many br

Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex4.c.html
src/vec/is/is/examples/tutorials/ex5.c.html